<template>
  <form class="flex flex-col gap-4" @submit.prevent="save">
    <input v-model="nameValue" type="text" class="border rounded border-gray-300 text-gray-600 h-10 pl-2 pr-10 bg-white hover:border-gray-400 focus:outline-none">
    <select v-model="typeValue" class="border rounded border-gray-300 text-gray-600 h-10 pl-2 pr-10 bg-white hover:border-gray-400 focus:outline-none ">
      <option value="vds">
        vds
      </option>
      <option value="dedicated">
        dedicated
      </option>
      <option value="hosting">
        hosting
      </option>
    </select>
    <input type="submit" value="сохранить изменения" class="py-2 px-6 rounded bg-[#93c5fd] text-[#fff]"/>
  </form>
</template>

<script>
export default {
  name: 'FormUpdate',
  props: {
    name: {
      type: String,
      required: true
    },
    type: {
      type: String,
      required: true
    },
    id: {
      type: String,
      required: true
    }
  },
  data() {
    return {
      nameValue: this.name,
      typeValue: this.type
    }
  },
  methods: {
    save() {
      this.$emit('save', { 
        name: this.nameValue, 
        type: this.typeValue, 
        id: this.id 
      })
    }
  }

}
</script>